<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: Transport Setup</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__transport__setup.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#files">Files</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">Transport Setup<div class="ingroups"><a class="el" href="group__setup.html">Setup API</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Transport layer initialization.  
<a href="#details">More...</a></p>
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>Transport layer initialization. </p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for Transport Setup:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<center><table><tr><td><div class="center"><iframe scrolling="no" frameborder="0" src="group__transport__setup.svg" width="255" height="38"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:erpc__transport__setup_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="erpc__transport__setup_8h.html">erpc_transport_setup.h</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga925aa73c3fc0da2a6f94ee65c4b108c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga925aa73c3fc0da2a6f94ee65c4b108c0"></a>
typedef struct ErpcTransport *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a></td></tr>
<tr class="memdesc:ga925aa73c3fc0da2a6f94ee65c4b108c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opaque transport object type. <br /></td></tr>
<tr class="separator:ga925aa73c3fc0da2a6f94ee65c4b108c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga91393683cc6882b93796e4c28438c84c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga91393683cc6882b93796e4c28438c84c"></a>
typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#ga91393683cc6882b93796e4c28438c84c">rpmsg_ready_cb</a>) (void)</td></tr>
<tr class="memdesc:ga91393683cc6882b93796e4c28438c84c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ready callback object type for RPMsg-Lite transport. <br /></td></tr>
<tr class="separator:ga91393683cc6882b93796e4c28438c84c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Transport setup</h2></td></tr>
<tr class="memitem:gadd5c1658590ea80c4c777c872ac4dd94"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gadd5c1658590ea80c4c777c872ac4dd94"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#gadd5c1658590ea80c4c777c872ac4dd94">erpc_transport_cmsis_uart_init</a> (void *uartDrv)</td></tr>
<tr class="memdesc:gadd5c1658590ea80c4c777c872ac4dd94"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a CMSIS UART transport. <br /></td></tr>
<tr class="separator:gadd5c1658590ea80c4c777c872ac4dd94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b147303de598800663eb584960d3450"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga1b147303de598800663eb584960d3450"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#ga1b147303de598800663eb584960d3450">erpc_transport_serial_init</a> (const char *portName, long baudRate)</td></tr>
<tr class="memdesc:ga1b147303de598800663eb584960d3450"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a host PC serial port transport. <br /></td></tr>
<tr class="separator:ga1b147303de598800663eb584960d3450"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacb323f539b6f76ae42c8a0bd1d531d1e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gacb323f539b6f76ae42c8a0bd1d531d1e"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#gacb323f539b6f76ae42c8a0bd1d531d1e">erpc_transport_spi_master_init</a> (void *baseAddr, uint32_t baudRate, uint32_t srcClock_Hz)</td></tr>
<tr class="memdesc:gacb323f539b6f76ae42c8a0bd1d531d1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a SPI master transport. <br /></td></tr>
<tr class="separator:gacb323f539b6f76ae42c8a0bd1d531d1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaed6619b165642ced65cb37275f0838b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaed6619b165642ced65cb37275f0838b9"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#gaed6619b165642ced65cb37275f0838b9">erpc_transport_spi_slave_init</a> (void *baseAddr, uint32_t baudRate, uint32_t srcClock_Hz)</td></tr>
<tr class="memdesc:gaed6619b165642ced65cb37275f0838b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a SPI slave transport. <br /></td></tr>
<tr class="separator:gaed6619b165642ced65cb37275f0838b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6e4233b8dae8239d9cfc0a8bfc510fae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga6e4233b8dae8239d9cfc0a8bfc510fae"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#ga6e4233b8dae8239d9cfc0a8bfc510fae">erpc_transport_dspi_master_init</a> (void *baseAddr, uint32_t baudRate, uint32_t srcClock_Hz)</td></tr>
<tr class="memdesc:ga6e4233b8dae8239d9cfc0a8bfc510fae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a DSPI master transport. <br /></td></tr>
<tr class="separator:ga6e4233b8dae8239d9cfc0a8bfc510fae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac616eb1f8e41b1ac4b14ebfb231c565e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac616eb1f8e41b1ac4b14ebfb231c565e"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#gac616eb1f8e41b1ac4b14ebfb231c565e">erpc_transport_dspi_slave_init</a> (void *baseAddr, uint32_t baudRate, uint32_t srcClock_Hz)</td></tr>
<tr class="memdesc:gac616eb1f8e41b1ac4b14ebfb231c565e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a DSPI slave transport. <br /></td></tr>
<tr class="separator:gac616eb1f8e41b1ac4b14ebfb231c565e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
RPMsg-Lite transport setup</h2></td></tr>
<tr class="memitem:ga8350495e66922501e557574732dd1356"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga8350495e66922501e557574732dd1356"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#ga8350495e66922501e557574732dd1356">erpc_transport_rpmsg_lite_master_init</a> (unsigned long src_addr, unsigned long dst_addr, int rpmsg_link_id)</td></tr>
<tr class="memdesc:ga8350495e66922501e557574732dd1356"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an RPMsg-Lite transport. <br /></td></tr>
<tr class="separator:ga8350495e66922501e557574732dd1356"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5161d0b879393a6ddd60224c053f421c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga5161d0b879393a6ddd60224c053f421c"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#ga5161d0b879393a6ddd60224c053f421c">erpc_transport_rpmsg_lite_zc_master_init</a> (unsigned long src_addr, unsigned long dst_addr, int rpmsg_link_id)</td></tr>
<tr class="memdesc:ga5161d0b879393a6ddd60224c053f421c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an RPMsg-Lite zero copy transport. <br /></td></tr>
<tr class="separator:ga5161d0b879393a6ddd60224c053f421c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4006b26ac82f5743d32d1dce20b04782"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga4006b26ac82f5743d32d1dce20b04782"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#ga4006b26ac82f5743d32d1dce20b04782">erpc_transport_rpmsg_lite_remote_init</a> (unsigned long src_addr, unsigned long dst_addr, void *start_address, int rpmsg_link_id, <a class="el" href="group__transport__setup.html#ga91393683cc6882b93796e4c28438c84c">rpmsg_ready_cb</a> ready)</td></tr>
<tr class="memdesc:ga4006b26ac82f5743d32d1dce20b04782"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an RPMsg-Lite transport. <br /></td></tr>
<tr class="separator:ga4006b26ac82f5743d32d1dce20b04782"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga902645939c19f7778f9e00145acba312"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga902645939c19f7778f9e00145acba312"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#ga902645939c19f7778f9e00145acba312">erpc_transport_rpmsg_lite_zc_remote_init</a> (unsigned long src_addr, unsigned long dst_addr, void *start_address, int rpmsg_link_id, <a class="el" href="group__transport__setup.html#ga91393683cc6882b93796e4c28438c84c">rpmsg_ready_cb</a> ready)</td></tr>
<tr class="memdesc:ga902645939c19f7778f9e00145acba312"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an RPMsg-Lite zero copy transport. <br /></td></tr>
<tr class="separator:ga902645939c19f7778f9e00145acba312"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58a3332ea60ae84478e14e01af451783"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga58a3332ea60ae84478e14e01af451783"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#ga58a3332ea60ae84478e14e01af451783">erpc_transport_rpmsg_lite_rtos_master_init</a> (unsigned long src_addr, unsigned long dst_addr, int rpmsg_link_id)</td></tr>
<tr class="memdesc:ga58a3332ea60ae84478e14e01af451783"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an RPMsg-Lite RTOS transport. <br /></td></tr>
<tr class="separator:ga58a3332ea60ae84478e14e01af451783"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga08cfc42f815bfae1ca4b7f4a82b613fe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga08cfc42f815bfae1ca4b7f4a82b613fe"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#ga08cfc42f815bfae1ca4b7f4a82b613fe">erpc_transport_rpmsg_lite_rtos_remote_init</a> (unsigned long src_addr, unsigned long dst_addr, void *start_address, int rpmsg_link_id, <a class="el" href="group__transport__setup.html#ga91393683cc6882b93796e4c28438c84c">rpmsg_ready_cb</a> ready)</td></tr>
<tr class="memdesc:ga08cfc42f815bfae1ca4b7f4a82b613fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an RPMsg-Lite RTOS transport. <br /></td></tr>
<tr class="separator:ga08cfc42f815bfae1ca4b7f4a82b613fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
RPMsg transport setup</h2></td></tr>
<tr class="memitem:ga8f82382ac9d6d5e12157dd2ebf3c567d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga8f82382ac9d6d5e12157dd2ebf3c567d"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#ga8f82382ac9d6d5e12157dd2ebf3c567d">erpc_transport_rpmsg_init</a> (int dev_id, int role)</td></tr>
<tr class="memdesc:ga8f82382ac9d6d5e12157dd2ebf3c567d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an RPMsg transport. <br /></td></tr>
<tr class="separator:ga8f82382ac9d6d5e12157dd2ebf3c567d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga46fecf2fbad6dfa3daeb7ac8505f388b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga46fecf2fbad6dfa3daeb7ac8505f388b"></a>
<a class="el" href="group__transport__setup.html#ga925aa73c3fc0da2a6f94ee65c4b108c0">erpc_transport_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__transport__setup.html#ga46fecf2fbad6dfa3daeb7ac8505f388b">erpc_transport_rpmsg_rtos_init</a> (int dev_id, int role)</td></tr>
<tr class="memdesc:ga46fecf2fbad6dfa3daeb7ac8505f388b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an RPMsg RTOS transport. <br /></td></tr>
<tr class="separator:ga46fecf2fbad6dfa3daeb7ac8505f388b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
